# Products Array

This describes the common items model used in various events

Copy

```
/* PRODUCTS ARRAY */
[
    {
        item_id: '<mandatory - item_id>',
        item_name: '<mandatory - name of item>',
        item_sku: '<mandatory - style id of item>',
        variant_id: '<optional - variant_id>',
        index: 0, // order of item in array 0,1,2,3...
        // price - mandatory - float price - DO NOT MULTIPLY with quantity. 
        // price - set value after discount
        price: 123.33,
        discount: 12, // optional - set the discount value for item
        quantity: 2, // quantity of item
        item_brand: '<optional - brand>', // if not available leave undefined
        item_category: '<optional - category>', // if not available leave undefined
        options: {
             // optional - options can be used to provide any additional product attributes
        }
    }
]
```

[<br>](https://magic-pixel.gitbook.io/ingest-labs-implementation/s2s/tracking-events/purchase)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ingestlabs.com/s2s/tracking-events/products-array.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
